<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: checksum_fletcher16/fletcher16_checksum.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d87f854232f1577cdc978f1f2c5b32a9.html">checksum_fletcher16</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fletcher16_checksum.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for fletcher16_checksum.h:</div>
<div class="dyncontent">
<div class="center"><img src="fletcher16__checksum_8h__incl.png" border="0" usemap="#checksum__fletcher16_2fletcher16__checksum_8h" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="fletcher16__checksum_8h__dep__incl.png" border="0" usemap="#checksum__fletcher16_2fletcher16__checksum_8hdep" alt=""/></div>
<map name="checksum__fletcher16_2fletcher16__checksum_8hdep" id="checksum__fletcher16_2fletcher16__checksum_8hdep">
<area shape="rect" id="node2" href="fletcher16__checksum_8c.html" title="checksum_fletcher16\l/fletcher16_checksum.c" alt="" coords="5,95,167,136"/>
<area shape="rect" id="node3" href="checksum__fletcher16_2test_8c.html" title="checksum_fletcher16\l/test.c" alt="" coords="191,95,338,136"/>
<area shape="rect" id="node4" href="checksum__fletcher16_2verify_8c.html" title="checksum_fletcher16\l/verify.c" alt="" coords="362,95,509,136"/>
</map>
</div>
</div>
<p><a href="fletcher16__checksum_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a5267969d80d0667388d770df29df1ce3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fletcher16__checksum_8h.html#a5267969d80d0667388d770df29df1ce3">FLETCHER16_CHECKSUM_SPEC</a></td></tr>
<tr class="separator:a5267969d80d0667388d770df29df1ce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a096c0b1d875a37df911d56d1f44f5dac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="fletcher16__checksum_8h.html#a5267969d80d0667388d770df29df1ce3">FLETCHER16_CHECKSUM_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fletcher16__checksum_8h.html#a096c0b1d875a37df911d56d1f44f5dac">fletcher16_checksum</a> (uint8_t c0_init, uint8_t c1_init, uint8_t *data, uint32_t length, uint8_t *c0_result, uint8_t *c1_result)</td></tr>
<tr class="separator:a096c0b1d875a37df911d56d1f44f5dac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Calculation of Fletcher16 checksum. Fletcher checksums are faster to calculate than CRCs, but are found to detect less errors.</p>
<p><a href="https://en.wikipedia.org/wiki/Fletcher's_checksum">https://en.wikipedia.org/wiki/Fletcher's_checksum</a> </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a5267969d80d0667388d770df29df1ce3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5267969d80d0667388d770df29df1ce3">&#9670;&nbsp;</a></span>FLETCHER16_CHECKSUM_SPEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FLETCHER16_CHECKSUM_SPEC</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>CONFIGURATION: Define for header only library, undefine for standalone module. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a096c0b1d875a37df911d56d1f44f5dac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a096c0b1d875a37df911d56d1f44f5dac">&#9670;&nbsp;</a></span>fletcher16_checksum()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="fletcher16__checksum_8h.html#a5267969d80d0667388d770df29df1ce3">FLETCHER16_CHECKSUM_SPEC</a> void fletcher16_checksum </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>c0_init</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>c1_init</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>c0_result</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>c1_result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Calculate Fletcher16 checksum. Init values are normally set to 0. result arguments contain the result after calculation. The function can be used to calculate the checksum over data of a fixed length. It is also possible to calculate the checksum of a stream of arbitrary length on the fly, using the result from the last calculation as init values for the calculation of the next results. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
